Name:         jgroups212
Version:      2.12.3
Release:      %mkrel 12
Summary:      A toolkit for reliable multicast communication
Group:        Development/Java
License:      LGPLv2
URL:          http://www.jgroups.org
# git clone git://github.com/belaban/JGroups.git
# cd JGroups && git checkout Branch_JGroups_2_12 && git checkout-index -f -a --prefix=jgroups212-2.12.3.Final
# find jgroups212-2.12.3.Final/ -name '*.jar' -type f -delete
# tar -cJf jgroups212-2.12.3.Final.tar.xz jgroups212-2.12.3.Final
Source0:       %{name}-%{version}.Final.tar.xz
Patch0:        %{name}-groupid.patch
BuildArch:     noarch

BuildRequires: maven-local
BuildRequires: mvn(bsh:bsh)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires: mvn(xalan:xalan)
BuildRequires: mvn(xalan:serializer)

%description
A toolkit for reliable multicast communication.
It allows developers to create reliable multipoint (multicast) applications
where reliability is a deployment issue, and does not have to be implemented
by the application developer. This saves application developers significant
amounts of time, and allows for the application to be deployed in different
environments, without having to change code.

%package javadoc
Summary:    Javadoc for %{name}

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}-%{version}.Final
# Cleanup
find . -name '*.jar' -delete
find . -name '*.class' -delete

%patch0 -p1

%pom_remove_plugin :maven-source-plugin
%pom_xpath_set "pom:dependency[pom:groupId='log4j']/pom:version" 1.2.17

# Fix incorrect permissions on documentation
chmod 644 README

%mvn_file org.%{name}:jgroups %{name}

%build
# Tests to not current run under maven for this project
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README INSTALL.html
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE


%changelog
* Tue Mar 01 2016 daviddavid <daviddavid> 2.12.3-12.mga6
+ Revision: 981283
- First rebuild of the java stack
- sync package jgroups212 with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Tue Jan 20 2015 daviddavid <daviddavid> 2.12.3-7.mga5
+ Revision: 811590
- build with xmvn
- use .mfiles generated during build
- update Requires
- use %%mvn_file to get files on java directory
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 2.12.3-6.mga5
+ Revision: 740296
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Dec 22 2013 dmorgan <dmorgan> 2.12.3-4.mga4
+ Revision: 559934
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.12.3-2.mga3
+ Revision: 355441
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dmorgan <dmorgan> 2.12.3-1.mga3
+ Revision: 291817
- imported package jgroups212


* Thu Aug 23 2012 Matt Spaulding <mspaulding06@gmail.com> - 2.12.3-3
- Changed groupid to org.jgroup212 to fix conflict with jgroup 3
- Now building with UTF-8 source encoding

* Sun Aug 05 2012 Matt Spaulding <mspaulding06@gmail.com> - 2.12.3-2
- Included license in javadoc subpackage
- Corrected license type
- Added missing Requires and BR
- Removed unnecessary define

* Fri Jul 27 2012 Matt Spaulding <mspaulding06@gmail.com> - 2.12.3-1
- Initial package

